reset
set terminal postscript enhanced color
set output 'tf_VCO-fq.ps'

reset

set title 'Transfer function from VCO modulation input to laser frequency'

set multiplot layout 2,1
set format x "%.0s%c"
set lmargin 10
set rmargin 3
set logscale x
set grid ytics xtics mxtics mytics
set ylabel "magnitude (MHz/V)"
set key left bottom box
set style data lines
wrap(x) = ((x+180) - floor((x+180)/360)*360) - 180
dbv(x) = 10**(x/20.) 
set xrange [10e3:3e6]


plot 'ch1.TXT' u 1:(1/(dbv($2)*1.89e-1)) title 'measurement' lt 1 lc 1;


set notitle
set grid ytics xtics mxtics
set xlabel "frequency (Hz)"
set ylabel "phase (deg)"
unset key
set mytics 2
set ytics 40

set yrange [-180:180]
 plot 'ch2.TXT' u 1:(-$2) lt 1 lc 1

unset multiplot

system('epstopdf --autorotate=All tf_VCO-fq.ps')